Welcome guest, is this your first visit? Click the "Create Account" button now to join.
Page 3 of 11 FirstFirst 12345 ... LastLast
Results 21 to 30 of 103
  1. #21
    Junior Member
    Join Date
    Feb 2015
    Location
    Mexico
    Age
    26
    Posts
    6
    Rep Power
    0

    Default Locus Pro 3.6.2 - alt. method

    Do the first four steps to get the libproj library (Or you can download the libraries from my next post):
    1. Install Locus Free from Playstore (Official Google Play, modded one is not good for this)
    2. Run it and let it dl libraries then close. See post above (n9) if you cant download librairies.
    3. Launch Root explorer or similar to copy the two files into safe location. Root needed.
    /data/data/menion.android.locus/files/_libraries.conf
    /data/data/menion.android.locus/files/libproj.so
    4. Uninstall Locus Free
    5. Install Locus Pro 3.2.0 and open, only on the first screen, this is to create the folders "files" and "shared_prefs" under /data/data/menion.android.locus.pro/ with appropriate permissions. Then close the app (App info > Force Stop).
    6. Use Root explorer to move 2 saved files to /data/data/menion.android.locus.pro/files/
    7. Edit the file menion.android.locus.pro_preferences.xml that is under /data/data/menion.android.locus.pro/shared_prefs/ and replace the contents with the following:
    Code:
    Please Login or Register to see the links
    With cheatdroid add a new int key called KEY_S_APPLICATION_VERSION_LAST with a value of 295 .

    8. Set permissions for 3 added/modified files (.../files/libproj.so, .../files/_libraries.conf and ../shared_prefs/menion.android.locus.pro_preferences.xml), you must set full permissions (use Root explorer or ES File Manager).
    9. Launch Locus Pro 3.2.0 and will start normally without requiring download libraries.

    NOTE: If you have problem with the previous steps (5-9) and Locus 3.2.0 still ask to download the libraries (and fails to download, obviously) then uninstall Locus Pro 3.2.0 and install the 3.1.3 version, open the app only on the first screen to create the folders with appropriate permissions, do the step 6 (also set the permissions for the 2 files), and open again, this time Locus Pro 3.1.3 will open normally (fully functional), install the 3.2.0 version over the 3.1.3 and will start without problems with the libraries. Continue with the next steps.

    10. Install Locus Pro 3.7.0 (or any version of your choice), and before opening edit again the file /data/data/menion.android.locus.pro/files/menion.android.locus.pro_preferences.xml and search for the string KEY_I_START_NUM_OF_STARTS, this will look like this:
    Code:
    Please Login or Register to see the links
    This key counts the number of starts of the app, change the value to be 9 or higher:
    Code:
    Please Login or Register to see the links
    And open Locus Pro 3.7.0, that's all.

    Note: The steps 7 and 10 can be done through [Only registered and activated users can see links. ], is more easily than editing directly with a text editor.

    A example video using Cheatdroid:


    I'm no speak english, sorry if I have many misspellings.
    Last edited by SebSS; 4th July 2015 at 03:52.

  2.    Advertissements


  3. #22
    Junior Member
    Join Date
    Feb 2015
    Location
    Mexico
    Age
    26
    Posts
    6
    Rep Power
    0

    Default More info

    Some useful(?) info:
    * Locus Pro 3.1.3 only checks for the presence of the libraries and the conf file (libproj.so and _libraries.conf) and do some unknown request to Google Play Store/Services.
    * Locus Pro 3.2.0 checks for the presence of the libraries and the _libraries.conf and check that the key KEY_S_APPLICATION_VERSION_LAST is 295, if is true then add a new key: KEY_S_LIBS_VERSION. This is the only version that does that without checking the validity of the license. On some phones check others keys, in that case is necessary install the 3.1.3 and then the 3.2.0.
    * In some later version also started to check KEY_I_START_NUM_OF_STARTS, that is why some have trouble, this counts the numbers of starts of the app (which is obvious), the value must be greater than or equal to 9.
    * The key KEY_S_LIBS_VERSION has a kind of expiration time, after that you have to repeat the steps to get a new one. Fortunately it's shareable, you can copy from another phone.


    Then, after installing Locus 3.2.0 you must start Locus nine times, and then you can install any later version (tested only on 3.5.3, 3.6.0, and 3.6.2).

    And possibly I'm wrong and the information is incorrect, but that's what I found.

    EDIT:

    Searching through the smali code I've found that there are four downloadable "libs", and found the url intercepting the connection with tPacketCapture.

    The url looks as follow:
    Code:
    Please Login or Register to see the links
    More info: [Only registered and activated users can see links. ]

    [architecure] could be armeabi, armeabi-v7a, x86 or mips.
    [time in seconds since epoch] It is the time when the link becomes invalid.
    [key] A key that only is valid whith the others two parameters, I don't know more.

    I leave attached the downloaded libraries for all available architectures in Locus (armeabi, armeabi-v7a, x86 and mips), so no need to install the free version.
    Attached Files Attached Files
    Last edited by SebSS; 4th July 2015 at 03:47. Reason: More info

  4. #23
    Member fiat_lux's Avatar
    Join Date
    Jan 2013
    Location
    Aurora Borealis
    Posts
    19
    Rep Power
    0

    Default

    posts #24 and #25, interesting yes, though a bit, hmmmm, ... confusing and complicated... (?)

    anyways, my observations for the given basic installing procedure:

    1. I had to make this dir "files/" by hand to put those 2 files into;

    2. after installing these:
    "10. Install Locus Pro 3.5.1 over existing version and run
    11. Install Locus Pro 3.5.3 over existing version and run
    12. Install Locus Pro 3.6.0 over existing version and run"

    NOT to choose "RUN" straight after installing but rather "ready" to close the install procedure, and THEN open locus from "apps"-menu.
    otherwise I did get this "libraries"-problem...

  5. #24
    Junior Member
    Join Date
    Feb 2015
    Location
    Mexico
    Age
    26
    Posts
    6
    Rep Power
    0

    Default

    Quote Originally Posted by fiat_lux View Post
    ...

    NOT to choose "RUN" straight after installing but rather "ready" to close the install procedure, and THEN open locus from "apps"-menu.
    otherwise I did get this "libraries"-problem...
    In that case only open/close (9 o less times) the application until don't ask for download the libraries.

  6. #25
    Junior Member
    Join Date
    Mar 2015
    Location
    Paris
    Age
    66
    Posts
    1
    Rep Power
    0

    Default

    hello
    coucou SEBSS : I executed your procedure #24: it works perfectly on my Galaxy Note 2 v4.4.2 :Dance2:

    ++
    Last edited by philofparis; 5th March 2015 at 16:29.

  7. #26
    ☼ADMIN☼
    catymag's Avatar
    Join Date
    Nov 2007
    Location
    light side
    Posts
    23,608
    Rep Power
    5321

    Default Locus Map Pro - Outdoor GPS v3.7.0

    Locus Map Pro - Outdoor GPS v3.7.0

    What's New
    *** 3.7.0 ***
    news:
    Code:
    Please Login or Register to see the links
    add: IGN maps ready for online use!
    add: ability to define content of Track popup menu on map
    chg: GSI maps (online) moved to Locus Store
    chg: new system for add/edit trackpoints in existing track
    chg: completely new system for handling top and right panels (now united collection)

    Download:
    [Only registered and activated users can see links. ]

    PS: for install instructions read previous posts (21, 24, 25, 26)
    [Only registered and activated users can see links. ]
    [Only registered and activated users can see links. ]

    [Only registered and activated users can see links. ]
    You have to navigate to get to the good.
    Nuvi1250/Nuvi 34xx/Nuvi 2200/Nuvi 66/Oregon 600/Galaxy S5 MM 6.0.1/TomTom GO/iGO Nextgen Avic,Basar,Isr.Gift/Navigon
    Please don't flood my pm box with questions you can post on forum!! You won't hear back from me.

  8. #27
    Member
    Join Date
    Jul 2014
    Location
    paris
    Age
    41
    Posts
    29
    Rep Power
    3

    Default

    Hi catymag,
    You wrote: "PS: for install instructions read previous posts (21, 24, 25, 26)"

    But do i install over existing 3.6.2 ?

    regards

  9. #28
    Member
    Join Date
    Jul 2014
    Location
    paris
    Age
    41
    Posts
    29
    Rep Power
    3

    Default

    Sorry,

    I answer to myself and i've installed v3.7.0 over v3.6.2 and it works fine !
    But IGN Maps are not free.

  10. #29
    Junior Member
    Join Date
    Feb 2015
    Location
    Mexico
    Age
    26
    Posts
    6
    Rep Power
    0

    Default

    Quote Originally Posted by joan-dar View Post
    ...

    But do i install over existing 3.6.2 ?

    regards
    Yes. If you've opened the application 9 times or more then there is no problem if you update.

  11. #30
    Member
    Join Date
    Feb 2015
    Location
    Taiwan
    Posts
    14
    Rep Power
    0

    Default

    For 3.7.0

    <int name="KEY_S_APPLICATION_VERSION_LAST" value="354"/>

    Can I overwrite with this code directly without installing 3.6.2?

 

 
Page 3 of 11 FirstFirst 12345 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
This website uses cookies
We use cookies to store session information to facilitate remembering your login information, to allow you to save website preferences, to personalise content and ads, to provide social media features and to analyse our traffic. We also share information about your use of our site with our social media, advertising and analytics partners.